Subject: Re: bug#56316: Problem installing on hardware

From: Josselin Poiret <[email-masked]>
Date: Thu, 30 Jun 2022 20:54:42 +0200

Hi,

Steve Greenburg <[email-masked]> writes:

> I wasn't able to install guix on hardware on a GPT partitioned drive. First I thought it was because I deleted sdc6 and remade it, but after rebooting got the same error. I use dd to copy the iso image to a thumb drive and boot from it in UEFI, then go through the installer which fails at the partitioning step. the other partitions sdc3-sdc5 have linux installs already. Tried to put it on sdc6 and put mount point /
> Here is the backtrace. Is there anything I can do to investigate further and install guix?

Did you try with the 1.3 image, or the latest one?  The latter should
have a lot of improvements over the former.

Are you using the graphical installer or the manual way?  It's not clear
to me whether you get that backtrace with the installer or directly with
`guix` invocations.  We have a handy error dump tool in case of
installer bugs that was introduced after 1.3, and if that's your case
it'd help go into more details about what's going wrong.

If you're going the manual way, could you send your config.scm, possibly
redacting the sensitive parts?

Best,
-- 
Josselin Poiret